Re: More OS X errors
Neil Tiffin <[email protected]>
| Newsgroups | gmane.comp.db.mdb-tools.devel |
|---|---|
| Message-ID | <[email protected]> |
I just compiled CVS as of July 20, 2006 3:30 PM UTC with no errors
I did have to modify autogen.sh as follows
% cvs diff -uw autogen.sh
Index: autogen.sh
===================================================================
RCS file: /cvsroot/mdbtools/mdbtools/autogen.sh,v
retrieving revision 1.8
diff -u -w -r1.8 autogen.sh
--- autogen.sh 31 Mar 2005 05:22:13 -0000 1.8
+++ autogen.sh 20 Jul 2006 15:33:51 -0000
@@ -19,7 +19,7 @@
}
(grep "^A[CM]_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ (glibtool --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`libtool' installed."
echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz"
You will note that libtool was changed to glibtool. I also used fink
to resolve all dependencies
I also used libtool 1.5
% fink list libtool
Information about 5883 packages read in 3 seconds.
libtool 1.3.5-23 Shared library
build helper, v1.3.5
i libtool-shlibs 1.3.5-23 Shared libraries
for libtool, v1.3.5
i libtool14 1.5.22-1000 Shared library
build helper, v1.5
i libtool14-shlibs 1.5.22-1000 Shared libraries
for libtool, v1.5
Neil
On Jul 16, 2006, at 11:05 PM, Jon Stovell wrote:
> X-SpamDetect-Info: ------------- Start ASpam results ---------------
> X-SpamDetect-Info: This message may be spam. This message BODY has
> been altered to show you the spam information
> X-SpamDetect: ****: 4.117000 SPF Pass=-2.0,Message-Id is not valid,
> according to RFC 2822=1.2,To: repeats address as real
> name=0.4,Aspam=4.5
> X-SpamDetect-Info: ------------- End ASpam results -----------------
>
> Hi all,
>
> Trying to compile on Mac OS X from CVS, as checked out July 16, 2006.
> Following the advice posted by Sam Moffat in January, I overrode
> the libtool
> check in autogen.sh (after using fink to ensure I had the latest
> version
> installed), but I am still running into errors further down the
> line. Any
> help would be appreciated. The errors autogen.sh throws are as
> follows
> (I've cut out a long list of stuff in the middle that went just fine):
>
> **Warning**: I am going to run `configure' with no arguments.
> If you wish to pass any to it, please specify them on the
> `./autogen.sh' command line.
>
> processing .
> Running aclocal ...
> aclocal:configure.in:106: warning: macro `AM_PATH_GLIB_2_0' not
> found in
> library
> Running libtoolize...
> Running autoheader...
> Running automake --gnu ...
> Running autoconf ...
> Running ./configure ...
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> ..
> ..
> ..
> checking for size_t... yes
> checking for iconv... yes
> checking for iconv declaration...
> extern size_t iconv (iconv_t cd, const char * *inbuf, size_t
> *inbytesleft, char * *outbuf, size_t *outbytesleft);
> checking Are we using flex ... yes
> ../configure: line 20354: syntax error near unexpected token `2.0.0'
> ../configure: line 20354: `AM_PATH_GLIB_2_0(2.0.0)'
>
>
>
>
>
>
> ----------------------------------------------------------------------
> ---
> Using Tomcat but need to do more? Need to support web services,
> security?
> Get stuff done quickly with pre-integrated technology to make your
> job easier
> Download IBM WebSphere Application Server v.1.0.1 based on Apache
> Geronimo
> http://sel.as-us.falkag.net/sel?
> cmd=lnk&kid=120709&bid=263057&dat=121642
> _______________________________________________
> mdbtools-dev mailing list
> [email protected]
> https://lists.sourceforge.net/lists/listinfo/mdbtools-dev
-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys -- and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV